## dpkg 1.22.18ubuntu1

=== debian/changelog ===
dpkg (1.22.18ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - scripts/Dpkg/Vendor/Ubuntu.pm, scripts/dpkg-buildpackage.pl: set
      'nocheck' in build options by default on Ubuntu/riscv64.  Overridable
      in debian/rules with
      'DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))'.
    - dpkg-dev: Depend on lto-disabled-list.
    - dpkg-buildflags: Read package source names from lto-disabled-list,
      to build without lto optimizations. When adding a source package to the
      list, please also file a launchpad issue and tag it with 'lto'.
    - scripts/Dpkg/Vendor/Ubuntu.pm: set 'noudeb' build profile by
      default. Override this by exporting DEB_BUILD_PROFILE='!noudeb' which
      will be stripped, and thus building with udebs.
    - build: Switch default dpkg-deb compression from xz to zstd.
      Keep compressing dpkg.deb with xz to help bootstrapping on non-Ubuntu
      systems.
    - set default zstd compression level to 19
    - scripts/Dpkg/Vendor/Debian.pm: Always include "-fdebug-prefix-map"
      to build flags.  Map path to "/usr/src/PKGNAME-PKGVER" instead of
      ".", honouring the DWARF standard which prohibits relative paths
      in DW_AT_comp_dir.
    - scripts/{mk/buildflags.mk,t.mk}: Add support for DEB_BUILD_DEBUGPATH.
    - man/dpkg-buildflags.pod: Document new behaviour of "fdebugmap" and
      new DEB_BUILD_DEBUGPATH variable.
    - Disable -fstack-clash-protection on armhf since it causes crashes
    - dpkg-buildflags: Add a new feature "framepointer" in the "qa" area.
    - Turn on the use of frame pointers by default on 64bit architectures.
    - Update _FORTIFY_SOURCE documentation.
    - Update Dpkg_BuildFlags test case.
    - Fix debian/rules duplicate invocations of dh_builddeb
    - lib/dpkg/compress.c: clean up override of the default zstd compression
      level
    - dpkg-buildflags: Explicitly turn off hardening flags when requested.
    - Export environment variables DEB_BUILD_OS_RELEASE_ID, DEB_HOST_ARCH,
      DEB_SOURCE, and DEB_VERSION when including buildflags.mk (LP: #2070015)
    - buildflags: document RUSTFLAGS
    - buildflags: Always set RUSTFLAGS
    - tests: avoid failing under DEB_VENDOR != Debian
    - dpkg-buildflags: enable ELF package note metadata
    - buildflags: set origin of env vars for ELF package metadata
    - Export ELF_PACKAGE_METADATA for a build. Picked up by GCC and clang.
      Passing -specs explicitly can be dropped in a follow-up upload.
    - dpkg-buildflags: set RUSTFLAGS to influence the command line flags cargo
      will pass to rustc, and set the flags to include framepointers when the
      framepointer feature of the qa area is enabled.
    - Disable framepointer on ppc64el.
    - Disable framepointer on s390x, leaving only -mbackchain.
    - Add a note about different behaviour of dpkg-buildflags with respect to
      LTO on Ubuntu.
    - dpkg-buildpackage: Construct ELF_PACKAGE_METADATA, and set in the
      environment if not already set.  This setting is picked up by
      GCC and clang, passing a --package-metadata option the the linker.
    - Stop passing --specs for metadata information. It's too fragile
      and only works for GCC. Also introduces a lot of packaging delta.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Mar 2025 10:46:37 +0100

dpkg (1.22.18) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::OpenPGP::Backend::Sequoia: Add missing Dpkg::Gettext import.
      Thanks to Yuri Konotopov <ykonotopov@gnome.org>. Closes: #1099866
  * Packaging:
    - Bump Standards-Version to 4.7.2 (no changes needed).

  [ Helge Kreutzmann ]
  * Localization:
    - Update German man pages translation.
    - Update German scripts translation.

 -- Guillem Jover <guillem@debian.org>  Sun, 09 Mar 2025 19:00:01 +0100

dpkg (1.22.17) unstable; urgency=medium

  * Code internals:
    - libdpkg: Do not crash on missing sysuser or sysgroup system database
      files. Reported by Marc Haber <mh+debian-packages@zugschlus.de>.

 -- Guillem Jover <guillem@debian.org>  Fri, 07 Mar 2025 12:07:23 +0100

dpkg (1.22.16) unstable; urgency=medium

  [ Guillem Jover ]
  * Add support for native arch definition for chroots.
    Closes: #825385, #1020533
  * dpkg-db-keeper: Fix pathname in example dpkg.cfg snippet.
  * Portability:
    - start-stop-daemon: Move <compat.h> and <dpkg/macros.h> after OS and
      header setup macros.
  * Perl modules:
    - Dpkg::OpenPGP::Backend::GnuPG: Do not require cmdstore for backend
      command.
    - Dpkg::OpenPGP::Backend: Generalize has_verify_cmd().
    - Dpkg::OpenPGP::Backend: Support disabling cmd and cmdv via 'none' value.
    - Dpkg::OpenPGP::Backend::SOP: Add sopv support.
    - Dpkg::OpenPGP::Backend::GnuPG: Refactor newline workaround into a
      function.
    - Dpkg::OpenPGP::Backend::GnuPG: Do not add the newline workaround for
      gpg-sq.
    - Dpkg::OpenPGP::Backend::Sequoia: Add a hint about authorizing own keys.
    - Dpkg::OpenPGP::Backend::Sequoia: Refactor cmd and cmdv handling.
  * Documentation:
    - man: Remove trailing space. Closes: #1095542
    - doc: Remove trailing angle bracket.

