## dpkg 1.22.18ubuntu2

=== tests/t-breaks-essential/Makefile ===
TESTS_DEB := lib-a-0 lib-a-1 pkg-b

include ../Test.mk

DPKG_OPTIONS += --auto-deconfigure

test-case:
	$(DPKG_INSTALL) lib-a-0.deb
	$(DPKG_INSTALL) pkg-b.deb lib-a-1.deb

test-clean:
	$(DPKG_PURGE) pkg-b
	$(DPKG_PURGE) --force-remove-essential lib-a
