=== debian/changelog ===
dpkg (1.22.18ubuntu2) plucky; urgency=medium

  * dpkg-dev: Still prefer gnupg and gpgv over sq.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Mar 2025 16:58:38 +0100
