=== debian/changelog ===
dpkg (1.22.18ubuntu2.2) plucky-security; urgency=medium

  * SECURITY UPDATE:
    - Fix cleanup for control member with restricted directories.
      (LP: #2122053)
    - Fixes CVE-2025-6297

 -- Joy Latten <jmlatten@gmail.com>  Fri, 19 Sep 2025 16:25:43 +0000
