=== debian/control ===
--- 
+++ 
@@ -132,8 +132,8 @@
  build-essential,
  gcc | c-compiler,
  fakeroot,
- sq | sqop | rsop | gosop | pgpainless-cli | gpg-sq | gnupg,
- sq | sqopv | rsopv | sopv | gosop | pgpainless-cli | gpgv-sq | gpgv,
+ gnupg | sq | sqop | rsop | gosop | pgpainless-cli | gpg-sq,
+ gpgv | sq | sqopv | rsopv | sopv | gosop | pgpainless-cli | gpgv-sq,
 # Used by dpkg-mergechangelogs.
  libalgorithm-merge-perl,
 Suggests:
