=== scripts/t/dpkg_buildtree/src-build-api-v1/debian/control ===
Source: source-build-api-v1
Build-Depends:
 dpkg-build-api (= 1),

Package: binary
Architecture: all
