=== scripts/t/dpkg_buildtree/src-rrr-no/debian/control ===
Source: source-rrr-no
Rules-Requires-Root: no

Package: binary
Architecture: all
