## dpkg 1.22.18ubuntu3

=== debian/changelog ===
dpkg (1.22.18ubuntu3) questing; urgency=medium

  * Stop defaulting to -O3 on amd64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 28 Apr 2025 18:25:25 +1200
