## dpkg 1.22.19+rpi1

=== debian/changelog ===
dpkg (1.22.19+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.20.5+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 02 Aug 2020 12:08:02 +0000]
  * Hack up Vendor.pm so it doesn't fail
    (see https://lists.debian.org/debian-dpkg/2020/08/msg00004.html )

  [changes introduce in 1.21.17+rpi1 by Peter Michael Green]
  * disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 30 May 2025 08:50:09 +0000

dpkg (1.22.19) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::Vendor::Debian: Add tag2upload OpenPGP keyring to package-keyrings.
    - Dpkg::Vendor::PureOS: Add new vendor module.
      Thanks to Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>.
    - Test::Dpkg: Fix OpenPGP backend commands detection.
    - Dpkg::OpenPGP::Backend::Sequoia: Add sqv support for verification.
  * Code internals:
    - libcompat: Handle allocation failures in fgetpwent() and fgetgrent().
      Based on a patch by Simon Richter <sjr@debian.org>.
  * Packaging:
    - Document OpenPGP implementation dependencies.
      Prompted by Paul Gevers <elbrus@debian.org>.
  * Localization:
    - Update Brazilian Portuguese programs translation.
      Thanks to Paulo Henrique de Lima Santana <phls@debian.org>.
      Closes: #1100999
    - Update Dutch translations.
      Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
      Closes: #1101574, #1101582, #1101583
    - Update Portuguese translations.
      Thanks to Américo Monteiro <a_monteiro@gmx.com>.
      Closes: #1100064, #1105126
    - Update Romanian translations.
      Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>.
      Closes: #1101549, #1101550
    - Update Swedish translations.
      Thanks to Peter Krefting <peter@softwolves.pp.se>. Closes: #1100068

 -- Guillem Jover <guillem@debian.org>  Mon, 19 May 2025 00:00:44 +0200
