## dpkg 1.22.20+kali1

=== debian/changelog ===
dpkg (1.22.20+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - silence the warning 'unable to delete old directory' when the directory
      is under /lib/ (cf. commit cf7b5a57)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jun 2025 16:02:04 +0200

dpkg (1.22.20) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::OpenPGP::Backend::Sequoia: Do not run sq/sqv to verify with no
      keyrings. Closes: #1106148
    - Dpkg::OpenPGP::Backend::Sequoia: Run sq in stateless mode for
      verification. Suggested by Neal H. Walfield <neal@sequoia-pgp.org>.
  * Localization:
    - Update Catalan translations.
    - Update German scripts translation.
      Thanks to Helge Kreutzmann <debian@helgefjell.de>.
    - Update Portuguese scripts translation.
    - Update Swedish scripts translation.

 -- Guillem Jover <guillem@debian.org>  Wed, 04 Jun 2025 02:12:28 +0200

dpkg (1.22.18+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - silence the warning 'unable to delete old directory' when the directory
      is under /lib/ (cf. commit cf7b5a57)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Mar 2025 16:45:03 +0100

dpkg (1.22.15+kali2) kali-dev; urgency=medium

  * Revert "Work-around a perl crash during any package build"

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 14 Feb 2025 09:07:27 +0700

dpkg (1.22.15+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. commit 75631da6)
    - silence the warning 'unable to delete old directory' when the directory
      is under /lib/ (cf. commit cf7b5a57)

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 14 Feb 2025 08:35:31 +0700

dpkg (1.22.11+kali2) kali-dev; urgency=medium

  * Silence the warning when trying to remove old dir under /lib/ (cf.
    cf7b5a57)

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 10 Sep 2024 11:27:29 +0700

dpkg (1.22.11+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)
    - disable merged-usr-via-aliased-dirs warning message (cf. bff5fa3c)
    - add Kali to the list of distros that don't install dpkg-fsys-usrunmess

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Sep 2024 15:13:30 +0200

dpkg (1.22.6+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)
    - disable merged-usr-via-aliased-dirs warning message (cf. bff5fa3c)
    - add Kali to the list of distros that don't install dpkg-fsys-usrunmess

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Apr 2024 11:11:28 +0200

dpkg (1.22.4+kali2) kali-dev; urgency=medium

  * Add Kali to the list of distros that don't install dpkg-fsys-usrunmess

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 29 Jan 2024 11:13:42 +0700

dpkg (1.22.4+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)
    - disable merged-usr-via-aliased-dirs warning message (cf. bff5fa3c)

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 29 Jan 2024 10:37:25 +0700

dpkg (1.22.2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)
    - disable merged-usr-via-aliased-dirs warning message (cf. bff5fa3c)

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 02 Jan 2024 14:29:45 +0700

dpkg (1.22.1+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)
    - disable merged-usr-via-aliased-dirs warning message (cf. bff5fa3c)

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 24 Nov 2023 11:14:10 +0700

dpkg (1.22.0+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)
    - Disable merged-usr-via-aliased-dirs warning message

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 01 Sep 2023 10:52:49 +0200

dpkg (1.21.22+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)
    - Disable merged-usr-via-aliased-dirs warning message

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Jun 2023 11:15:42 +0200

dpkg (1.21.21+kali2) kali-dev; urgency=medium

  * Disable merged-usr-via-aliased-dirs warning message

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 17 Mar 2023 08:19:48 +0700

dpkg (1.21.21+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Mar 2023 14:18:43 +0100

dpkg (1.21.20+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 15 Feb 2023 09:58:03 +0700

dpkg (1.21.19+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - work-around EXDEV error returned by overlayfs (cf. #836211)
    - work-around for perl crash (cf. 75631da6)

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 31 Jan 2023 09:10:20 +0700


